Bug 1189976 - make the thinkfan service configurable
Summary: make the thinkfan service configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-06 02:32 UTC by Aron Parsons
Modified: 2015-11-16 23:24 UTC (History)
1 user (show)

Fixed In Version: thinkfan-0.9.2-5.fc23 thinkfan-0.9.2-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-16 23:24:08 UTC
Type: Bug


Attachments (Terms of Use)
spec file (3.16 KB, text/plain)
2015-02-06 02:32 UTC, Aron Parsons
no flags Details
updated service file (249 bytes, text/plain)
2015-02-06 02:32 UTC, Aron Parsons
no flags Details
default sysconfig file (13 bytes, text/plain)
2015-02-06 02:33 UTC, Aron Parsons
no flags Details
updated service file (268 bytes, text/plain)
2015-02-06 02:46 UTC, Aron Parsons
no flags Details

Description Aron Parsons 2015-02-06 02:32:00 UTC
Description of problem:
The thinkfan service currently does not have a way to configure command line options.  My particular use case is that I want to disable the bias (-b 0).

Additionally, I changed the daemon to allow systemd to allow the daemonizing instead of relying on thinkfan's internal mechanism.  What we gain from this is that if we don't run it with the "-q" option, we can get logging output so we can see what the fan is doing.  I made "-q" a default option so it's not spamming the journal, but I personally run without it so I can see what's going on.

I have attached an updated spec file, along with a modified service file and the supporting sysconfig file.  

Version-Release number of selected component (if applicable):
thinkfan-0.9.2-1.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum -y install thinkfan
2. attempt to configure without using overrides in /etc/systemd/system
3.

Actual results:
can't configure it

Expected results:
can configure it

Additional info:

Comment 1 Aron Parsons 2015-02-06 02:32:17 UTC
Created attachment 988656 [details]
spec file

Comment 2 Aron Parsons 2015-02-06 02:32:57 UTC
Created attachment 988657 [details]
updated service file

Comment 3 Aron Parsons 2015-02-06 02:33:15 UTC
Created attachment 988658 [details]
default sysconfig file

Comment 4 Aron Parsons 2015-02-06 02:46:53 UTC
Created attachment 988664 [details]
updated service file

start after lm_sensors so the hwmon modules are loaded

Comment 5 Jaroslav Reznik 2015-03-03 16:50:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora Admin XMLRPC Client 2015-10-16 04:35:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2015-10-19 15:14:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2015-10-21 14:51:49 UTC
thinkfan-0.9.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 9 Fedora Update System 2015-10-21 14:51:50 UTC
thinkfan-0.9.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d0705126ee

Comment 10 Fedora Update System 2015-10-24 12:09:36 UTC
thinkfan-0.9.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d0705126ee

Comment 11 Fedora Update System 2015-10-26 18:30:11 UTC
thinkfan-0.9.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 12 Fedora Update System 2015-10-26 23:10:17 UTC
thinkfan-0.9.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 13 Fedora Update System 2015-10-26 23:10:18 UTC
thinkfan-0.9.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e2b8bcfbe

Comment 14 Fedora Update System 2015-10-31 15:54:51 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e2b8bcfbe

Comment 15 Fedora Update System 2015-11-02 00:28:26 UTC
thinkfan-0.9.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 16 Fedora Update System 2015-11-08 16:22:30 UTC
thinkfan-0.9.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 17 Fedora Update System 2015-11-08 22:23:35 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-11-09 03:49:59 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 19 Fedora Update System 2015-11-16 23:23:58 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.